Subject: [os2genau_digest] No. 1699
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 3 Sep 2008 00:00:40 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 02 September 2008
 Number  1699
**************************************************

Subjects for today
 
1  Re:  USB Modems and eCS : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  USB Modems and eCS : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  USB Modems and eCS : Voytek Eymont" <voytek at sbt dot net dot au>
4  Re:  USB Modems and eCS : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Tue, 02 Sep 2008 07:04:25 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB Modems and eCS

John Angelico wrote:
> On Mon, 01 Sep 2008 06:21:48 +1000, Ed Durrant wrote:
>
>   
>> John Angelico wrote:
>>     
>>> Hi all.
>>>
>>> We've been doing some experiments here with an Optus Huawei E220 USB Modem
>>> with broadband connection.
>>>
>>> We have been unable to persuade eCS 1.2 to find the USB modem via the
>>> USBCOM.SYS device.
>>>
>>> Thus #2 son Chris hasn't been using the service under eCS but only under
>>> Win or Linux (instructions for setup now forgotten).
>>>
>>> We also tried the instructions for Injoy we found in the Voice article
>>> online.
>>>
>>> Has anyone succeeded in getting a USB modem working in eCS?
>>>
>>>
>>>   
>>>       
>> USB connected 3G phone (as per my article), yes, but USB 3G modem, no, I 
>> haven't tried that. When you are unable to persuade eCS 1.2 to find the 
>> modem - what do you mean by that? what exactly is (or is not) happening?
>>
>>     
>
> Hi Ed.
> We have the following for USB in Config.sys:
>
> DEVICE=C:\OS2\BOOT\USBPRT.SYS
> rem DEVICE=C:\OS2\BOOT\USBMOUSE.SYS
> rem DEVICE=C:\OS2\BOOT\USBKBD.SYS
> DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8 /v
> device=pause.sys
>
> COM8 selected as per VOICE article from 2006
> http://www2.warpdoctor dot org/VNL/past_issuMobile Broadband under OS/2 in
> Australia
> Using an LG 8330 3G phone with OS/2 and eCSes/VNL0606H/feature_1.html
> "Mobile Broadband under OS/2 in Australia
> Using an LG 8330 3G phone with OS/2 and eCS"
> by a Mr Ed Durrant, no less <VBG>
>
> We did nothing to the modem (equivalent to the phone setup Ed described)
> since it already provides net access under Win.
>
> Instead of Injoy we tried initially to use the famous ZOC terminal
> emulation/BBS program, as I still have a licence to drive it.
>
> We set up ZOC as near as we could to Injoy's settings, except for the
> TCP/IP. So we tried terminal emulation mode (VT100 for you oldies like me).
>
>
> Then we tried dialling with ATDT*99# but it failed to find any COM8.
>
> We have only one Com port (COM1 IRQ 4, 3F8) which carries an external modem
> for PMFax which continues blithely unconcerned that we don't have a COM2 or
> anything else COM on this MB.
>
> My Comms stuff is a bit rusty but ISTR that, since COM1 & 2 *and* COM3 and
> 4 use IRQs 4 and 3 respectively, we could only use two COMs at a time: one
> each of IRQ 4 and 3.
>
> Our aim is to have eCS1.2R recognize that the only other COM port (COM2 for
> preference but we don't really  care what id it has) is actually out on the
> USB somewhere.
>   
> So the questions:
> a) what have we not told you enough about?
> b) what have we done that we should not?
> c) what else do we still need to do?
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
>
>   
Hi John,
  I'm afraid this will have to be a trial and error process, but I think 
we should be able to make this work.

A few questions / suggestions:

 What do you get if you do a "Mode Com8"  at the command line ?? Has it 
"taken" the parameters you have set.

 Have you get the initialisation string documented somewhere (it may not 
be *99#). This is the most likely problem.

 Does the modem need to have its networkID set (this will be different 
dependent upon the Telco. Three for example is '3netaccess' where 
Vodaphone is 'vfinternet", I think optus is "internet" and so on.

Some telcos also require you to send a userid/password. some dont. (But 
I don't think we are that far as yet).

 As you have this working under windoze - can you see any parameters 
defined there in its set up.

There is some useful background on the device in Wikipedia;  
http://en.wikipedia dot org/wiki/Huawei_E220

Also has coincidence would have it - I got my regular advert from 
Netgear yesterday and they feature a 3G router that you can either plug 
a PCMCIA or 3G USB modem (this one included) into, to be able to share 
your 3G network connection with multiple PCs, either wirelessly or via 
cabled ethernet - it has a table of network specific codes:

I will find that link if I can and send you it later today.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 02 Sep 2008 07:41:28 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB Modems and eCS

Ed Durrant wrote:
> John Angelico wrote:
>> On Mon, 01 Sep 2008 06:21:48 +1000, Ed Durrant wrote:
>>
>>  
>>> John Angelico wrote:
>>>    
>>>> Hi all.
>>>>
>>>> We've been doing some experiments here with an Optus Huawei E220 
>>>> USB Modem
>>>> with broadband connection.
>>>>
>>>> We have been unable to persuade eCS 1.2 to find the USB modem via the
>>>> USBCOM.SYS device.
>>>>
>>>> Thus #2 son Chris hasn't been using the service under eCS but only 
>>>> under
>>>> Win or Linux (instructions for setup now forgotten).
>>>>
>>>> We also tried the instructions for Injoy we found in the Voice article
>>>> online.
>>>>
>>>> Has anyone succeeded in getting a USB modem working in eCS?
>>>>
>>>>
>>>>         
>>> USB connected 3G phone (as per my article), yes, but USB 3G modem, 
>>> no, I haven't tried that. When you are unable to persuade eCS 1.2 to 
>>> find the modem - what do you mean by that? what exactly is (or is 
>>> not) happening?
>>>
>>>     
>>
>> Hi Ed.
>> We have the following for USB in Config.sys:
>>
>> DEVICE=C:\OS2\BOOT\USBPRT.SYS
>> rem DEVICE=C:\OS2\BOOT\USBMOUSE.SYS
>> rem DEVICE=C:\OS2\BOOT\USBKBD.SYS
>> DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8 /v
>> device=pause.sys
>>
>> COM8 selected as per VOICE article from 2006
>> http://www2.warpdoctor dot org/VNL/past_issuMobile Broadband under OS/2 in
>> Australia
>> Using an LG 8330 3G phone with OS/2 and eCSes/VNL0606H/feature_1.html
>> "Mobile Broadband under OS/2 in Australia
>> Using an LG 8330 3G phone with OS/2 and eCS"
>> by a Mr Ed Durrant, no less <VBG>
>>
>> We did nothing to the modem (equivalent to the phone setup Ed described)
>> since it already provides net access under Win.
>>
>> Instead of Injoy we tried initially to use the famous ZOC terminal
>> emulation/BBS program, as I still have a licence to drive it.
>>
>> We set up ZOC as near as we could to Injoy's settings, except for the
>> TCP/IP. So we tried terminal emulation mode (VT100 for you oldies 
>> like me).
>>
>>
>> Then we tried dialling with ATDT*99# but it failed to find any COM8.
>>
>> We have only one Com port (COM1 IRQ 4, 3F8) which carries an external 
>> modem
>> for PMFax which continues blithely unconcerned that we don't have a 
>> COM2 or
>> anything else COM on this MB.
>>
>> My Comms stuff is a bit rusty but ISTR that, since COM1 & 2 *and* 
>> COM3 and
>> 4 use IRQs 4 and 3 respectively, we could only use two COMs at a 
>> time: one
>> each of IRQ 4 and 3.
>>
>> Our aim is to have eCS1.2R recognize that the only other COM port 
>> (COM2 for
>> preference but we don't really  care what id it has) is actually out 
>> on the
>> USB somewhere.
>>   So the questions:
>> a) what have we not told you enough about?
>> b) what have we done that we should not?
>> c) what else do we still need to do?
>>
>>
>> Best regards
>> John Angelico
>> OS/2 SIG
>> os2 at melbpc dot org dot au or talldad at kepl dot com dot au
>>
>>   
> Hi John,
>  I'm afraid this will have to be a trial and error process, but I 
> think we should be able to make this work.
>
> A few questions / suggestions:
>
> What do you get if you do a "Mode Com8"  at the command line ?? Has it 
> "taken" the parameters you have set.
>
> Have you get the initialisation string documented somewhere (it may 
> not be *99#). This is the most likely problem.
>
> Does the modem need to have its networkID set (this will be different 
> dependent upon the Telco. Three for example is '3netaccess' where 
> Vodaphone is 'vfinternet", I think optus is "internet" and so on.
>
> Some telcos also require you to send a userid/password. some dont. 
> (But I don't think we are that far as yet).
>
> As you have this working under windoze - can you see any parameters 
> defined there in its set up.
>
> There is some useful background on the device in Wikipedia;  
> http://en.wikipedia dot org/wiki/Huawei_E220
>
> Also has coincidence would have it - I got my regular advert from 
> Netgear yesterday and they feature a 3G router that you can either 
> plug a PCMCIA or 3G USB modem (this one included) into, to be able to 
> share your 3G network connection with multiple PCs, either wirelessly 
> or via cabled ethernet - it has a table of network specific codes:
>
> I will find that link if I can and send you it later today.
>
> Cheers/2
>
> Ed.
>
Whoops forgot - can you also post your com port set up lines from 
config.sys please ?

and here's the link I promised - it was Netcomm, not Netgear:

http://www dot netcomm dot com dot au/products/3g/n3g002w

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 2 Sep 2008 07:50:57 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB Modems and eCS

<quote who="John Angelico">
> On Mon, 01 Sep 2008 06:21:48 +1000, Ed Durrant wrote:

> My Comms stuff is a bit rusty but ISTR that, since COM1 & 2 *and* COM3
> and 4 use IRQs 4 and 3 respectively, we could only use two COMs at a time:
> one each of IRQ 4 and 3.

COM ports will use whatever IRQs are assigned to them, there is no such
thing:
"COM1 & 2 *and* COM3 and 4 use IRQs 4 and 3"

you need to set COMx for whatever IRQ you desire, or, are able to use..

if you set two COM ports for same IRQ, she won't work....

EXCEPT, if you have special hardware, like, STB's 4port card, and SIO
driver, YES, you can share IRQs

-----from Ray Gwinn's SIO
    STB 4COM  (ISA bus)

     I am very impressed with the STB 4COM card, they have almost got it.
     Yes, it's the same company that makes the VGA cards.  The 4COM card
     uses a 16554 which is the equivalent of four 16550A.  Comm ports can
     use IRQs 2/9, 3, 4, 5, 10, 11, 12, and 15.  Any or all ports can share
     IRQs, and they have done this right.  I tested SIO with all four ports
     of the 4COM on IRQ12 and they worked correctly.  The user can select
     any of the following I/O port address for a comm port: 3F8, 2F8, 3E8,
     2E8, 1A8, 1E8, 1F8, 2A8.

-----

not that any of this matters to what you are trying to do, anyhow.....

</end trivia>

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   4 ==========================**

Date:  Tue, 02 Sep 2008 17:25:10 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB Modems and eCS

Voytek Eymont wrote:
> <quote who="John Angelico">
>   
>> On Mon, 01 Sep 2008 06:21:48 +1000, Ed Durrant wrote:
>>     
>
>   
>> My Comms stuff is a bit rusty but ISTR that, since COM1 & 2 *and* COM3
>> and 4 use IRQs 4 and 3 respectively, we could only use two COMs at a time:
>> one each of IRQ 4 and 3.
>>     
>
>
> COM ports will use whatever IRQs are assigned to them, there is no such
> thing:
> "COM1 & 2 *and* COM3 and 4 use IRQs 4 and 3"
>
> you need to set COMx for whatever IRQ you desire, or, are able to use..
>
> if you set two COM ports for same IRQ, she won't work....
>
> EXCEPT, if you have special hardware, like, STB's 4port card, and SIO
> driver, YES, you can share IRQs
>
> -----from Ray Gwinn's SIO
>     STB 4COM  (ISA bus)
>
>      I am very impressed with the STB 4COM card, they have almost got it.
>      Yes, it's the same company that makes the VGA cards.  The 4COM card
>      uses a 16554 which is the equivalent of four 16550A.  Comm ports can
>      use IRQs 2/9, 3, 4, 5, 10, 11, 12, and 15.  Any or all ports can share
>      IRQs, and they have done this right.  I tested SIO with all four ports
>      of the 4COM on IRQ12 and they worked correctly.  The user can select
>      any of the following I/O port address for a comm port: 3F8, 2F8, 3E8,
>      2E8, 1A8, 1E8, 1F8, 2A8.
>
> -----
>
>
> not that any of this matters to what you are trying to do, anyhow.....
>
> </end trivia>
>
>   
I believe I read somewhere that SIO has issues with eCS 2.0 (possibly 
ACPI ?).

Cheers/2

Ed.

----------------------------------------------------------------------------------